<?php
    //========================================================================================================================
    /**
     * Webアプリケーション：音声再生サンプル実装
     *
     * LICENSE: This source file is subject to GNU GENERAL PUBLIC LICENSE Version 3
     * http://www.gnu.org/licenses/gpl-3.0.txt.
     *
     * @package    SampleApps
     * @subpackage A1030
     * @copyright  2010 LabbitBox Development Team.
     * @license    GPL v3 http://www.gnu.org/licenses/gpl-3.0.txt
     * @author     neobaba <neobaba@labbitbox.org>
     * @version    v0.1
     * @since      -
     * @link       http://labbitbox.org/
     * @see        http://labbitbox.org/
     * sudo ~/develop/LabbitBox/sample/public_html/cli.php Diagram main
     */
    //========================================================================================================================
    require_once(BASE_LIB.'/AjaxView.php');

    class Diagram_M {
        public function main(){
            require_once(BASE_LIB.'/MagickBuilder.php');
            $wMagick    = new MagickBuilder(BASE_LIB.'/seed.png', DOC_ROOT.'/images/diagram.png', 200, 100, array('transparent' => 'white'));
            //$wMagick->addRectangle(10, 10, 50, 50, dblQuoted('#00cccc'), 2, dblQuoted('#00cccc'));
            //$wMagick->addLine(20, 20, 80, 80, dblQuoted('#000000'), 2);
            //$wMagick->addLine(20, 20, 40, 40, 'red', 2);
            $wPolyLine  = $wMagick->addPolyline('blue', 2);
            $wPolyLine->addPoint(50, 50);
            $wPolyLine->addPoint(60, 50);
            $wPolyLine->addPoint(50, 60);
            $wPolyLine->addPoint(80, 80);
            $wMagick->build();
        }

        
    }

?>
